<script setup lang="ts">
import router from '@/router'
import { useAuthStore } from '@/stores/auth'
import { nextTick } from 'vue'
import { useRoute } from 'vue-router'

const route = useRoute()

const authStore = useAuthStore()

function upper1st(str: string | undefined) {
  if (!str) {
    return ''
  }
  return str.charAt(0).toUpperCase() + str.slice(1)
}

function top() {
  nextTick(() => {
    window.scrollTo({
      top: 0,
      left: 0,
      behavior: 'smooth'
    })
    window.scrollTo({
      top: 0,
      left: 0,
      behavior: 'smooth'
    })
    window.scrollTo({
      top: 0,
      left: 0,
      behavior: 'smooth'
    })
  })
}

function goAbout() {
  router.push({ name: 'about' })
}

function goToMain() {
  router.push({ name: 'mainmenumember' })
}

function goToHome() {
  authStore.logout()
  router.push({ name: 'home' })
}

function gotoStore() {
  router.push({ name: 'mainmenumember' })
}
</script>

<template>
  <v-app-bar v-if="authStore.appBarUnlogin" title="DCOFFEE" color="grey-darken-4" height="80">
    <template v-slot:prepend>
      <v-app-bar-nav-icon icon="mdi-coffee-outline" @click="top(), goToMain()"></v-app-bar-nav-icon>
    </template>
    <v-btn
      @click="console.log()"
      :class="{ active: route.name === 'mainmenumember' }"
      :to="{ path: '/MainMenuMember' }"
      ><span>Home</span></v-btn
    >
    <v-btn
      @click="console.log()"
      :class="{ active: route.name === 'purchase' }"
      :to="{ path: '/Purchase' }"
      >Store</v-btn
    >
    <v-btn
      @click="console.log()"
      :class="{ active: route.name === 'about' }"
      :to="{ path: '/About' }"
      >About</v-btn
    >
    <v-btn @click="goToHome">Logout</v-btn>
  </v-app-bar>
</template>

<style scoped></style>
